Fetch Users
curl --request POST \
--url https://dev.api.mufi.app/v1/users/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 0
}
'import requests
url = "https://dev.api.mufi.app/v1/users/fetch"
payload = {
"limit": 10,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 10, offset: 0})
};
fetch('https://dev.api.mufi.app/v1/users/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActivated": true,
"activatedOn": "2023-11-07T05:31:56Z",
"wallets": [
{
"type": "Polkadot",
"address": "<string>"
}
],
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"referenceId": "<string>"
}
],
"total": 123
}{
"message": "<string>"
}{
"message": "<string>"
}Users Endpoints
Fetch Users
Retrieve users linked to your project application. This POST endpoint allows querying by email, id, or referenceId. Use only one field; priority is given to email, then referenceId, and finally id in the MuFi database.
POST
/
v1
/
users
/
fetch
Fetch Users
Authorizations
A JWT Access Token obtained from Google Cloud.
Body
application/json
User and pagination parameters. limit defaults to 10 and has a max limit of 1000.
⌘I